# Uses of Class
org.eclipse.birt.report.model.api.ModuleHandle

Packages that use ModuleHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.core
Represents the fundamental data structures of the user-defined property and the interface of UI listener.
org.eclipse.birt.report.model.api.css
org.eclipse.birt.report.model.api.util
Utility classes.

## Uses of ModuleHandle in org.eclipse.birt.report.model.api

Subclasses of ModuleHandle in org.eclipse.birt.report.model.api
Modifier and Type
Class
Description
`class`
`LibraryHandle`
Represents the handle of library element.
`class`
`LibraryHandleImpl`
`class`
`ReportDesignHandle`
Represents the overall report design.
Methods in org.eclipse.birt.report.model.api that return ModuleHandle
Modifier and Type
Method
Description
`ModuleHandle`
LibraryHandleImpl.`getHostHandle()`
Returns the host handle which includes the library.
`ModuleHandle`
DesignElementHandle.`getModuleHandle()`
Returns the handle of module.
`ModuleHandle`
EmptyGroupElementHandle.`getModuleHandle()`
`abstract ModuleHandle`
GroupElementHandle.`getModuleHandle()`
Returns the handle of module.
`ModuleHandle`
SimpleGroupElementHandle.`getModuleHandle()`
`ModuleHandle`
DesignElementHandle.`getRoot()`
Returns the root container of this element.
Methods in org.eclipse.birt.report.model.api with parameters of type ModuleHandle
Modifier and Type
Method
Description
`URL`
DefaultResourceLocator.`findResource(ModuleHandle moduleHandle, String fileName, int type)`
`URL`
DefaultResourceLocator.`findResource(ModuleHandle moduleHandle, String fileName, int type, Map appContext)`
`static List<DesignElementHandle>`
ModuleUtil.`getElementsByType(ModuleHandle moduleHandle, String elementType)`
Gets all the elements that is kind of the specified type.
`static String`
ModuleUtil.`getScript(ModuleHandle module, String uid)`
Gets the script value.
`static Object`
ModuleUtil.`getScriptObject(ModuleHandle module, String uid)`
Gets the script object .
`static boolean`
ModuleUtil.`isInclude(ModuleHandle moduleHandle, String fileName)`
Checks whether a library with the specified file name is directly or indirectly included by the module.
`static EmbeddedImage`
StructureFactory.`newEmbeddedImageFrom(EmbeddedImageHandle baseImage, String name, ModuleHandle targetModule)`
Creates an embedded image from another library embedded image.
`static EmbeddedImage`
StructureFactory.`newEmbeddedImageFrom(EmbeddedImageHandle baseImage, ModuleHandle targetModule)`
Creates an embedded image from another library embedded image.
`static GroupElementHandle`
GroupElementFactory.`newGroupElement(ModuleHandle moduleHandle, List selectedElements)`
Instantiates a group element handle with the given module handle and selected design element list.
Constructors in org.eclipse.birt.report.model.api with parameters of type ModuleHandle
Modifier
Constructor
Description
``
`SimpleGroupElementHandle(ModuleHandle moduleHandle, List elements)`
Constructs a handle to deal with a list of report elements.
``
`TranslationHandle(ModuleHandle moduleHandle, org.eclipse.birt.report.model.elements.Translation trans)`
Constructs a handle for a translation message.

## Uses of ModuleHandle in org.eclipse.birt.report.model.api.core

Methods in org.eclipse.birt.report.model.api.core with parameters of type ModuleHandle
Modifier and Type
Method
Description
`void`
IAttributeListener.`fileNameChanged(ModuleHandle targetElement, AttributeEvent ev)`
Notifies the element is validated.
`void`
IDisposeListener.`moduleDisposed(ModuleHandle targetElement, DisposeEvent ev)`
Notifies the element is disposed.
`void`
IResourceChangeListener.`resourceChanged(ModuleHandle module, ResourceChangeEvent event)`
Notifies this listener that some resource changes happened.

## Uses of ModuleHandle in org.eclipse.birt.report.model.api.css

Constructors in org.eclipse.birt.report.model.api.css with parameters of type ModuleHandle
Modifier
Constructor
Description
``
`CssStyleSheetHandle(ModuleHandle moduleHandle, org.eclipse.birt.report.model.css.CssStyleSheet styleSheet)`
Constructs a handle for an style sheet.

## Uses of ModuleHandle in org.eclipse.birt.report.model.api.util

Methods in org.eclipse.birt.report.model.api.util with parameters of type ModuleHandle
Modifier and Type
Method
Description
`protected static final boolean`
ElementExportUtilImpl.`checkExportElementByContext(DesignElementHandle handle, ModuleHandle targetLibraryHandle, boolean canOverride)`
Checks if extendedItem and cube's content element has the same name as the exported element and its content elements.
`DesignElementHandle`
IElementCopy.`getHandle(ModuleHandle handle)`
Gets the element which keeps the "extends" relationship and unlocalized information, it should be only used to validate copy/paste actions.
`static Object`
XPathUtil.`getInstance(ModuleHandle module, String xpath)`
Returns the instance by the given XPath of `DesignElementHandle`, `SlotHandle`, `StructureHandle`.